%define NVSRL	5336

%define nam	NVIDIA-Linux-x86
%define srl	2004021501
%define rel	b2

%define ver	1.0_%{NVSRL}_pkg1
%define NVREL	1.0-%{NVSRL}-pkg1
%define setting 1.0-4620-pkg0

%define	SRC0	NVIDIA-Linux-x86-%{NVREL}.run
%define SRC1	NVIDIA-Linux-x86-%{setting}.run
%define URL0	ftp://download.nvidia.com/XFree86/Linux-x86/1.0-%{NVSRL}/
%define URL1	http://www.sh.nu/download/nvidia/linux-2.6/
%define NVBK	/usr/X11R6/lib/NVIDIABACKUP/

Summary:	NVIDIA module for XFree86 4.x X server and OpenGL libraries
Name:		%{nam}
Version:	%{ver}
Release:	%{rel}
Serial:		%{srl}
URL:		http://www.nvidia.com
Group:		User Interface/X Hardware Support
License:	NVIDIA Corp.
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Source0:	%{SRC0}
Source1:	%{SRC1}
Source2:	nvidia-set
NoSource:	0
NoSource:	1
PreReq:		XFree86 XFree86-libs fileutils /sbin/ldconfig

%description
The NVIDIA Accelerated Linux Driver Set brings both accelerated 2D
functionality and high performance OpenGL support to Linux x86 with the
use of NVIDIA graphics processing units (GPUs).

%define __spec_install_post /usr/lib/rpm/brp-compress

%prep
%setup -c -T -n %{nam}
pushd $RPM_SOURCE_DIR
[ -f %{SRC0} ] || wget %{URL0}%{SRC0}
[ -f %{SRC1} ] || wget %{URL1}%{SRC1}
popd
sh %{SOURCE0} --extract-only
sh %{SOURCE1} --extract-only

%build
#cd NVIDIA-Linux-x86-%{NVREL}
#rm -rf usr/src usr/bin/* usr/include usr/lib/libGL.la usr/lib/tls/libGL.la usr/X11R6/lib/libXvMCNVIDIA.a
# special nvidia-settings program in 4620-pkg0
#cp -a ../NVIDIA-Linux-x86-%{setting}/usr/bin/nvidia-settings usr/bin/

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
cd NVIDIA-Linux-x86-%{NVREL}

# make nvidia.ko
pushd usr/src/nv
make
mv makefile makefile_
sed -e "s\MODULE_ROOT    := \MODULE_ROOT    := $RPM_BUILD_ROOT\g" \
 -e "s\package-install: module-install rmmod-sanity-check\package-install: module-install\g" \
 -e 's\PATH="$(PATH):/bin:/sbin" modprobe $(MODULE_NAME) &&\PATH="$(PATH):/bin:/sbin"\g' \
 Makefile > Makefile.new
mv Makefile.new Makefile
make
popd
rm -rf usr/src usr/bin/* usr/include usr/lib/libGL.la usr/lib/tls/libGL.la usr/X11R6/lib/libXvMCNVIDIA.a
# special nvidia-settings program in 4620-pkg0
cp -a ../NVIDIA-Linux-x86-%{setting}/usr/bin/nvidia-settings usr/bin/

tar cf - usr | tar xf - -C $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{NVBK}
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/%{NVBK}

(
cd $RPM_BUILD_ROOT/usr/X11R6/lib/modules/extensions
ln -s libglx.so.1.0.* libglx.so
cd tls
ln -s libglx.so.1.0.* libglx.so
cd $RPM_BUILD_ROOT/usr/lib
for FILE in libGL*; do
  if [ -f $FILE ] ;then
    mv -f $FILE ../X11R6/lib/
    ln -s ../X11R6/lib/$FILE $FILE
  fi
done
)
rm -rf $RPM_BUILD_ROOT/usr/share/doc


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
%{NVBK}nvidia-set --add

%preun
if [ "$1" = "0" ] ; then
  %{NVBK}nvidia-set --del
fi

%postun 
/sbin/ldconfig

%triggerin -- XFree86
%{NVBK}nvidia-set --add

%triggerin -- XFree86-libs
%{NVBK}nvidia-set --add


%files
%defattr(-,root,root)
#%doc NVIDIA-Linux-x86-%{NVREL}/usr/share/doc/*
/lib/modules/*/kernel/drivers/video/*
/usr/X11R6/lib/lib*
/usr/X11R6/lib/modules/drivers/*
/usr/X11R6/lib/modules/extensions/lib*
#/usr/X11R6/lib/modules/extensions/tls/*
/usr/lib/lib*
#/usr/lib/tls/*
/usr/bin/nvidia-settings
%{NVBK}


%changelog
* Thu Apr 8 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- Changed Makefile to avoid error
* Thu Mar 25 2004 Yuichiro Nakada <berry@po.yui.mine.nu>
- from http://pkgcvs.turbolinux.co.jp/~go/10D/SRPMS/
- Create for Berry Linux
